#include <assert.h>
#include <stdio.h>
#include <time.h>

#define SIZE    (2048*4)
#define STRIDE  128 

#define REPEAT 0

int a[SIZE];

int main()
{
    struct timespec t1, t2;
    double tt[SIZE];

    int i = 0;
    for (i = 0; i < SIZE; i+= STRIDE)
    {
        assert(clock_gettime(CLOCK_REALTIME, &t1) == 0);
        a[i] = i;
        assert(clock_gettime(CLOCK_REALTIME, &t2) == 0);
        tt[i] = t2.tv_nsec - t1.tv_nsec;
    }

    for (i = 0; i < SIZE; i+= STRIDE)
        printf("%d %.0f\n", i, tt[i]);
   
#ifdef REPEAT    
    printf("\nRepeating\n");
    for (i = 0; i < SIZE; i+= STRIDE)
    {
        assert(clock_gettime(CLOCK_REALTIME, &t1) == 0);
        a[i] = i;
        assert(clock_gettime(CLOCK_REALTIME, &t2) == 0);
        tt[i] = t2.tv_nsec - t1.tv_nsec;
    }

    for (i = 0; i < SIZE; i+= STRIDE)
        printf("%d %.0f\n", i, tt[i]);
#endif 
    
    return 0;
}
